package com.changhu.module.miniProgram.pojo.params;

import com.changhu.common.db.enums.Sex;
import com.changhu.common.validator.annotation.IdCard;
import com.changhu.common.validator.annotation.IsMobile;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;


/**
 * @author 20252
 * @createTime 2024/9/12 上午9:57
 * @desc SaveOrUpdateSecurityUserParams...
 */
@Data
public class SecurityUserSaveOrUpdateParams {
    @Schema(description = "id")
    private Long snowFlakeId;

    @NotNull(message = "服务项目不能为空")
    @Schema(description = "服务项目id")
    private Long serviceProjectId;

    @NotNull(message = "保安单位不能为空")
    @Schema(description = "保安单位id")
    private Long securityUnitId;

    @Schema(description = "照片")
    private String photo;

    @NotBlank(message = "名字不能为空")
    @Schema(description = "名称")
    private String name;

    @NotBlank(message = "手机号不能为空")
    @IsMobile
    @Schema(description = "手机号")
    private String telephone;

    @Schema(description = "工作岗位")
    private String workPost;

    @NotNull(message = "性别不能为空")
    @Schema(description = "性别")
    private Sex sex;

    @Schema(description = "籍贯")
    private String nativePlace;

    @NotBlank(message = "身份证不能为空")
    @IdCard
    @Schema(description = "身份证")
    private String idCard;

    @Schema(description = "出生日期")
    private java.time.LocalDate dateOfBirth;

    @Schema(description = "保安证号")
    private String securityNumber;

    @Schema(description = "无证说明")
    private String noSecurityNumberDesc;

    @Schema(description = "家庭住址")
    private String homeAddress;

    @Schema(description = "备注")
    private String remark;

}
