package com.changhu.module.miniProgram.service;

import com.changhu.common.db.enums.EnterprisesUnitType;
import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.module.miniProgram.pojo.params.AssessmentRecordParams;
import com.changhu.module.miniProgram.pojo.vo.AssessmentCriteriaRuleVo;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/22 下午2:48
 * @desc SupervisionAssessmentService...
 */
public interface SupervisionAssessmentService {
    /**
     * 根据类型获取考核标准列表
     *
     * @param type 类型
     * @return 结果
     */
    List<SelectNodeVo<Long>> assessmentCriteriaListByType(EnterprisesUnitType type);

    /**
     * 根据考核项目获取考核规则
     *
     * @param ckProjectId 考核项目id
     * @return 结果
     */
    List<AssessmentCriteriaRuleVo> assessmentCriteriaRulesByCkProjectId(Long ckProjectId);

    /**
     * 提交考核记录
     *
     * @param params 参数
     */
    void submitAssessmentRecord(AssessmentRecordParams params);
}
