package com.changhu.module.policeManagement.pojo.params;

import com.changhu.common.db.enums.IsEnable;
import com.changhu.common.db.enums.Sex;
import com.changhu.common.validator.annotation.IsMobile;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author 20252
 * @createTime 2024/9/4 下午3:04
 * @desc UserSaveOrUpdateParams...
 */
@Data
public class UserSaveOrUpdateParams {

    @Schema(description = "id")
    private Long snowFlakeId;

    @NotNull(message = "名称不能为空")
    @Schema(description = "名称")
    private String name;

    @NotNull(message = "性别不能为空")
    @Schema(description = "性别")
    private Sex sex;

    @IsMobile
    @NotBlank(message = "手机号不能为空")
    @Schema(description = "手机号")
    private String telephone;

    @NotNull(message = "是否启用不能为空")
    @Schema(description = "是否启用")
    private IsEnable isEnable;

}
