package com.changhu.module.policeManagement.pojo.vo;

import com.changhu.common.db.enums.IsOrNot;
import com.changhu.common.db.enums.ServiceProjectTwoType;
import com.changhu.common.db.enums.ServiceProjectType;
import com.changhu.common.pojo.vo.CreateOrUpdateUser;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author 20252
 * @createTime 2024/11/27 下午2:42
 * @desc ServiceProjectListVo...
 */
@Data
public class ServiceProjectListVo {
    @Schema(description = "id")
    private Long snowFlakeId;

    @Schema(description = "企事业单位id")
    private Long enterprisesUnitId;
    @Schema(description = "保安单位id")
    private Long securityUnitId;

    @Schema(description = "项目经理小程序用户id")
    private Long projectManagerMiniProgramUserId;
    @Schema(description = "项目经理小程序用户名称")
    private String projectManagerMiniProgramUserName;

    @Schema(description = "服务项目名称")
    private String name;

    @Schema(description = "服务类型")
    private ServiceProjectType type;
    @Schema(description = "二级类型")
    private ServiceProjectTwoType twoType;
    @Schema(description = "外包公司名称")
    private String outsourceName;

    @Schema(description = "是否备案")
    private IsOrNot isFiling;
    @Schema(description = "证件号(服务类型为保安必填 服务类型为物业则需自招保安为必填)")
    private String idNumber;

    @Schema(description = "服务区域面积")
    private Double serviceArea;
    @Schema(description = "楼栋数量")
    private Integer buildingTotal;
    @Schema(description = "户数")
    private Integer houseTotal;
    @Schema(description = "工作人员数量")
    private Integer staffTotal;
    @Schema(description = "保安人员数量")
    private Integer securityUserTotal;
    @Schema(description = "备注")
    private String remark;
    @Schema(description = "创建人")
    private CreateOrUpdateUser createUserInfo;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
