package com.changhu.module.policeManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.miniProgram.pojo.params.SecurityUserSaveOrUpdateParams;
import com.changhu.module.miniProgram.pojo.queryParams.ServiceProjectSecurityUserPagerQueryParams;
import com.changhu.module.miniProgram.pojo.vo.ServiceProjectSecurityUserPagerVo;
import com.changhu.module.policeManagement.pojo.params.ServiceProjectSaveOrUpdateParams;
import com.changhu.module.policeManagement.pojo.vo.ServiceProjectListVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/27 下午2:38
 * @desc PoliceEnterprisesUnitService...
 */
public interface PoliceEnterprisesUnitService {
    /**
     * 事业单位下服务项目列表
     *
     * @param enterprisesUnitId 事业单位id
     * @return 服务项目列表
     */
    List<ServiceProjectListVo> listSp(Long enterprisesUnitId);

    /**
     * 新增或者保存服务项目
     */
    void saveOrUpdateSp(ServiceProjectSaveOrUpdateParams params);

    /**
     * 保险人员新增或者保存
     */
    void saveOrUpdateSecurityUser(SecurityUserSaveOrUpdateParams params);

    /**
     * 服务项目下的保安人员分页
     */
    Page<ServiceProjectSecurityUserPagerVo> securityUserPager(PageParams<ServiceProjectSecurityUserPagerQueryParams, ServiceProjectSecurityUserPagerVo> queryParams);

    /**
     * 根据保安人员id删除人员
     */
    void deleteSecurityUserById(Long securityUserId);
}
