package com.changhu.module.policeManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.policeManagement.pojo.params.UserSaveOrUpdateParams;
import com.changhu.module.policeManagement.pojo.queryParams.UserPagerQueryParams;
import com.changhu.module.policeManagement.pojo.vo.UserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * @author 20252
 * @createTime 2024/11/22 上午9:30
 * @desc UserService...
 */
public interface UserService {
    /**
     * 新增或保存用户
     *
     * @param params 参数
     */
    void saveOrUpdate(UserSaveOrUpdateParams params);

    /**
     * 分页查询用户
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<UserPagerVo> pager(PageParams<UserPagerQueryParams, UserPagerVo> queryParams);

    /**
     * 根据id删除用户
     *
     * @param managementPoliceUnitUserId 公安单位用户id
     */
    void deleteById(Long managementPoliceUnitUserId);
}
