package com.changhu.module.securityManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.securityManagement.pojo.params.UserSaveOrUpdateParams;
import com.changhu.module.securityManagement.pojo.queryParams.UserPagerQueryParams;
import com.changhu.module.securityManagement.pojo.vo.UserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * @author 20252
 * @createTime 2024/11/22 上午9:49
 * @desc UserService...
 */
public interface UserService {
    /**
     * 新增或修改
     *
     * @param saveOrUpdateParams 参数
     */
    void saveOrUpdate(UserSaveOrUpdateParams saveOrUpdateParams);

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<UserPagerVo> pager(PageParams<UserPagerQueryParams, UserPagerVo> queryParams);

    /**
     * 根据id删除
     *
     * @param managementSecurityUnitUserId 用户id
     */
    void deleteById(Long managementSecurityUnitUserId);
}
