package com.changhu.module.superManagement.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.superManagement.pojo.queryParams.CkProjectPagerQueryParams;
import com.changhu.module.superManagement.pojo.vo.CkProjectDetailTableVo;
import com.changhu.module.superManagement.pojo.vo.CkProjectPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/22 下午2:42
 * @desc AssessmentCriteriaMapper...
 */
@Mapper
public interface AssessmentCriteriaMapper {
    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 分页数据
     */
    Page<CkProjectPagerVo> ckProjectPager(@Param("page") Page<CkProjectPagerVo> page,
                                          @Param("params") CkProjectPagerQueryParams params);

    /**
     * 考核项目详情
     *
     * @param ckProjectId 考核项目id
     * @return 详情
     */
    List<CkProjectDetailTableVo> ckProjectDetail(@Param("ckProjectId") Long ckProjectId);
}
