package com.changhu.module.superManagement.pojo.params;

import com.changhu.common.db.enums.IsEnable;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/19 上午11:19
 * @desc GeneratedAccessKeyParams...
 */
@Data
public class GeneratedAccessKeyParams {
    private Long snowFlakeId;

    @Schema(description = "调用方")
    @NotBlank(message = "调用方不能为空")
    private String name;

    @NotNull(message = "请输入有效时间")
    @Schema(description = "有效时间")
    private Integer effectiveTime;

    @Schema(description = "允许访问的资源")
    private List<String> allowedResources;

    @NotNull
    @Schema(description = "是否启用")
    private IsEnable isEnable;

    @Schema(description = "备注")
    private String remark;
}
