package com.changhu.module.superManagement.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.superManagement.pojo.params.ManagementSuperUserSaveOrUpdateParams;
import com.changhu.module.superManagement.pojo.params.UnitCheckPassParams;
import com.changhu.module.superManagement.pojo.queryParams.PoliceUnitPagerQueryParams;
import com.changhu.module.superManagement.pojo.queryParams.SecurityUnitPagerQueryParams;
import com.changhu.module.superManagement.pojo.vo.PoliceUnitPagerVo;
import com.changhu.module.superManagement.pojo.vo.SecurityUnitPagerVo;
import com.changhu.pojo.params.UnitDisableOrEnableParams;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import org.apache.ibatis.annotations.Param;

/**
 * @author 20252
 * @createTime 2024/11/21 下午3:11
 * @desc SuperUnitService...
 */
public interface SuperUnitService {
    /**
     * 新增或保存后台用户
     *
     * @param params 参数
     */
    void saveOrUpdateUser(ManagementSuperUserSaveOrUpdateParams params);

    /**
     * 公安单位分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<PoliceUnitPagerVo> policeUnitPager(@Param("queryParams") PageParams<PoliceUnitPagerQueryParams, PoliceUnitPagerVo> queryParams);

    /**
     * 保安单位分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<SecurityUnitPagerVo> securityUnitPager(PageParams<SecurityUnitPagerQueryParams, SecurityUnitPagerVo> queryParams);

    /**
     * 审核通过
     *
     * @param params 审核参数
     */
    void checkPass(UnitCheckPassParams params);

    /**
     * 启用或者禁用单位
     *
     * @param params 参数
     */
    void disableOrEnable(UnitDisableOrEnableParams params);
}
